- entityDefinitions:
  - IDM_Product__get__Product_Type: '{a1a6027b-e2ff-4b02-bad5-7146cad93312}'
  - IDMB_Product__get__Product_Type: '{5161f011-9adf-4579-9fd4-cc6d12976eeb}'

  - IDI_WorkSet_ProductTypeSingular: '{4ce438ee-b8c0-400a-b6f7-621af38553ff}'
- library: '&IDL_MochaBaseSystem;'
  instances:
  - workSet: '&IDI_WorkSet_ProductTypeSingular;'
    name: 'Product Type [Singular]'
    singular: yes

  - getReferencedInstanceSetMethod: '&IDM_Product__get__Product_Type;'
    forClassId: '&IDC_Product;'
    returnsWorkSetId: '&IDI_WorkSet_ProductTypeSingular;'
    verb: 'get'
    name: 'Product Type'
    accessModifierId: '&IDI_AccessModifier_RootA2;'
    referenceInstanceSet: '&IDC_Product;'
    answerInstanceSet: '&IDR_Product__has__Product_Type;'
    singular: yes
    
  - returnInstanceSetMethodBinding: '&IDMB_Product__get__Product_Type;'
    executesMethod: '&IDM_Product__get__Product_Type;'
